Workspaces
Get Workspace
Get a workspace by ID
GET
/
workspaces
/
{workspace_id}
Get Workspace
curl --request GET \
--url https://api.aspect.inc/workspaces/{workspace_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aspect.inc/workspaces/{workspace_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aspect.inc/workspaces/{workspace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"actions": 123,
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"icon": {
"type": "emoji",
"emoji": "<string>",
"color": "<string>",
"url": "<string>",
"upload": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"uploaded": true,
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"url": "<string>",
"url_expires_at": "2023-11-07T05:31:56Z"
}
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
BearerAuthApiKeyAuth
JWT in Authorization header. 'Bearer ' prefix optional.
Path Parameters
Response
Successful Response
API response schema for getting a single workspace
Workspace ID
Workspace name
User's permission bitmap on this workspace
ID of the user that created the workspace
Creation timestamp
Last update timestamp
Workspace icon data
Show child attributes
Show child attributes
⌘I
Get Workspace

